<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" class="main-bg" style="width: 100%; height: 100%;">
	<tr>
		<td>
			<table cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
				<tr><td class="color-bg"><img src="images/lbg_t.gif" border="0" alt="" width="53" height="269"/></td></tr>
				<tr><td height="100%" style="background-image: url('images/lbg.gif');"></td></tr>
				<tr><td bgcolor="#F0F0F0"><img src="images/lbg_b.gif" border="0" alt="" width="53" height="67"/></td></tr>
			</table>
		</td>
		<td>
			<table cellpadding="0" cellspacing="0" border="0" style="height: 100%;">
				<tr>
					<td height="122" style="background-image: url('images/logo_bg.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/logo_tbg.gif'); background-position: top left; background-repeat: no-repeat;">
							<tr>
								<td align="center" class="company" style="padding: 5px;">
									<!-- LOGO -->
									<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" style="margin-bottom: 5px;"/></a><br/>
									<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
									<!-- END LOGO -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td class="color-bg"><img src="images/mbg.gif" border="0" alt="" width="226" height="10"/></td></tr>
				<tr>
					<td style="padding: 30px 0; background-color: #F9F9F9; background-image: url('images/menu_bg.gif'); background-position: bottom; background-repeat: no-repeat;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" width="170" align="center">
							<xsl:call-template name="TOP-MENU"/>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
				<tr>
					<td style="padding: 30px 0; background-color: #F9F9F9; background-image: url('images/menu_bg.gif'); background-position: bottom; background-repeat: no-repeat;">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="170" align="center">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
						<!-- END SUBMENU -->
					</td>
				</tr>
				<tr><td height="100%"></td></tr>
				<tr>
					<td height="64" align="center" class="color-bg footer" style="padding: 5px; background-image: url('images/footer_bg.gif');">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</td>
		<td width="100%">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td height="268" class="color-bg" style="background-image: url('images/header_bg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: right; background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="padding: 5px;">
									<table cellpadding="0" cellspacing="0" border="0" style="width: 235px; height: 70px;">
										<tr><td align="center" valign="bottom" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="100%" valign="top" name="SB_stretch" class="pageContent" style="padding: 25px; background-image: url('images/bg.gif'); background-repeat: repeat-y;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
							</tr>
						</table>
						<div style="width:0px; height:15px;"><span></span></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
				<tr>
					<td height="66" style="padding-left: 1px;">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-color: #F0F0F0; background-image: url('images/bmenu_bg.gif');">
							<tr>
								<td style="padding: 7px 5px 5px 5px;">
									<!-- BOTTOM MENU -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>
											<xsl:call-template name="BOTTOM-MENU"/>
										</tr>
									</table>
									<!-- END BOOTTOM MENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-right: 5px;"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-right: 5px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td></td><td height="20"><div style="height:1px; background-color: #C7C7C7; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td><img src="images/bmenu_bullet.gif" border="0" alt=""/></td>
				<td width="5"></td>
				<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
