<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" id="positionlabel1" bgcolor="White">
        	<TR>
        		<TD height="58" style="background-image : url(images/menu_bg.gif); background-repeat: repeat-x; padding-left: 30px;">
		        		<!-- MENU -->
		        			<table cellspacing="0" cellpadding="0">
		        				<tr>
			    	        		<!--CALL TOP-MENU -->
									<xsl:call-template name="TOP-MENU"/>
		        				</tr>
		        			</table>
		        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" height="239" style="background-image : url(images/top_bg.gif); background-repeat: repeat-x; padding-right: 10px;">
        		<!-- HEADER -->
					<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image : url(images/header.jpg); background-repeat: no-repeat;">
						<tr>
							<td align="right" style="padding-right: 20px; background-image: url('images/submenu_tbg.gif'); background-position: bottom right; background-repeat: no-repeat;">
								<div style="width: 300px;">
									<table cellspacing="0" cellpadding="0">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom">
												<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
											</td>
										</tr>
										<tr>
											<td class="slogan" valign="top">
												<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
											</td>
										</tr>
									</table>
								</div>
							</td>
						</tr>
					</table>
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD height="100%" valign="top">
        			<table cellpadding="0" cellspacing="0" border="0" width="100%">
        				<tr>
        					<td width="100%" valign="top">
	        					<div style="padding: 32px 34px 20px 115px" align="right">
	        						<!-- CONTENT -->
	        						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
		        					<table border="0" cellpadding="0" cellspacing="0" width="100%">
			        					<tr>
											<td class="text" valign="top">
												<xsl:apply-templates select="PAGE-CONTENT"/>
											</td>
										</tr>
									</table>
        							<!-- END CONTENT -->
        						</div>
        					</td>
        					<td valign="top" width="213">
        					<!-- SUBMENU -->
        						<table cellpadding="0" cellspacing="0" width="213" height="172">
        							<tr>
        								<td width="203" bgcolor="#00E0FF" valign="top">
                                       		<!-- SUB MENU -->
                            				<xsl:call-template name="SUB-MENU">
                            					<xsl:with-param name="pageID" select="@ID"/>
                            	  			</xsl:call-template>
                                       		<!-- END SUB MENU -->

        								</td>
        								<td width="10" valign="top"><img src="images/submenu_right.jpg"/></td>
        							</tr>
        						</table>
        					<!-- END SUBMENU -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD height="65" bgcolor="#EDEDED" style="padding: 24px">
        		<!-- FOOTER -->
        			<div class="footer" style="float: left"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   					<tr><td height="30"></td></tr>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0">
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
   					<tr><td height="30"></td></tr>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
